<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!--
Copyright &copy; 2007, 2009 Oracle and/or its affiliates. All rights reserved.
 -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>New C/C++ Project With Existing Sources Wizard: Build Tool</title>
<link rel="StyleSheet" href="/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>New C/C++ Project With Existing Sources Wizard: Build Tool</h2>
<p><small><a href="#seealso">See Also</a>&nbsp; </small>
<p>The New C/C++ Project With Existing Sources wizard enables you to create a 
project using an existing makefile. When you select the Custom mode, you must
make selections to determine how the project is configured.</p>
<p>In the Build Tool page, you specify whether you build
your project using an existing makefile or using a makefile generated 
by a configure script.
</p>
<ul>
<li><b>Using an existing makefile.</b> If you build your project with an existing makefile, type the 
path to the makefile in the Existing Makefile text field, or click 
the Browse button and select the makefile in the Select Makefile 
dialog box. The <b>Clean and Build after Finish</b> option causes the IDE to run
    the project's clean and build actions immediately after creating the project.
    Deselect this option if the source folder contains non-source files such as
    built binaries that you want to keep. You can clean and build manually after you
    move the files.
</li>
<li><b>Using a makefile generated by a configure script.</b> 
If you build your project with a makefile generated by a configure 
script:
<ol>
<li>Select Using the makefile generated by the 'configure' script.</li>
<li>Type the path to the configure script in the Configure 
Script text field, or click the Browse button and select the script in 
the Select Configure Script dialog box. The configure script will be  
included in the Important Files folder of your project, from which you can run it.</li>
<li>Type the arguments for the configure script in the Configure 
Arguments text field.</li>
<li>If you do not want your configure script run when you exit the 
wizard, deselect the Run 'configure' Script after Finish checkbox.
</li>
</ol>
</li>
</ul>
<table>
<tr>
<th colspan="2" align="left"><a name="seealso">See also</a></th>
</tr>
<tr>
<td width="23"></td>
<td>
<a href="NewMakeWizardP0.html">New C/C++ Project With Existing Sources Wizard: Select Mode</a><br>
<a href="NewMakeWizardP2.html">New C/C++ Project With Existing Sources Wizard: Build Actions</a><br>
<a href="NewMakeWizardP3.html">New C/C++ Project With Existing Sources Wizard: Source Files</a><br>
<a href="NewMakeWizardP4.html">New C/C++ Project With Existing Sources Wizard: Code Assistance</a><br>
<a href="NewMakeWizardP5.html">New C/C++ Project With Existing Sources Wizard: Name and Location</a><br>
<a href="CreatingCorC++Project.html">Creating a C or C++ Project</a><br>
<a href="AboutCandC++Projects.html">About C and C++ Projects</a>
</td>
</tr>
</table>
<hr>
<small>
<a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
